## mydumper 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(mydumper)
set(VERSION 0.5.1)
set(ARCHIVE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")

#Required packages
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
find_package(MySQL)
find_package(ZLIB)
find_package(GLIB2)
find_package(PCRE)

option(BUILD_DOCS "Build the documentation" ON)

if (BUILD_DOCS)
  add_subdirectory(docs)
endif (BUILD_DOCS)

set(CMAKE_C_FLAGS "-Wall -Wunused -Wwrite-strings -Wno-strict-aliasing -Wextra -Wshadow -Werror -O3 -g ${MYSQL_CFLAGS}")

include_directories(${MYDUMPER_SOURCE_DIR} ${MYSQL_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR} ${PCRE_INCLUDE_DIR} ${ZLIB_INCLUDE_DIRS})

if (NOT CMAKE_INSTALL_PREFIX)
  SET(CMAKE_INSTALL_PREFIX "/usr/local" CACHE STRING "Install path" FORCE)
endif (NOT CMAKE_INSTALL_PREFIX)
MARK_AS_ADVANCED(CMAKE)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_executable(mydumper mydumper.c binlog.c server_detect.c g_unix_signal.c)
target_link_libraries(mydumper ${MYSQL_LIBRARIES} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES})

add_executable(myloader myloader.c)
target_link_libraries(myloader ${MYSQL_LIBRARIES} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES})

INSTALL(TARGETS mydumper myloader
  RUNTIME DESTINATION bin
)

add_custom_target(dist
  COMMAND bzr export --root=${ARCHIVE_NAME}
    ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

OPTION(RUN_CPPCHECK "Run cppcheck" OFF)

IF(RUN_CPPCHECK)
  include(CppcheckTargets)
  add_cppcheck(mydumper)
  add_cppcheck(myloader)
ENDIF(RUN_CPPCHECK)


MESSAGE(STATUS "------------------------------------------------")
MESSAGE(STATUS "MYSQL_CONFIG = ${MYSQL_CONFIG}")
MESSAGE(STATUS "CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}")
MESSAGE(STATUS "BUILD_DOCS = ${BUILD_DOCS}")
MESSAGE(STATUS "RUN_CPPCHECK = ${RUN_CPPCHECK}")
MESSAGE(STATUS "Change a values with: cmake -D<Variable>=<Value>")
MESSAGE(STATUS "------------------------------------------------")
MESSAGE(STATUS)

=== docs/CMakeLists.txt ===
# Generate documentation in HTML and PDF format using Sphinx.

set(GENERATE_DOC TRUE)

# We use the Sphinx documentation generator to render HTML and manual
# pages from the user and reference documentation in ReST format.
find_package(Sphinx QUIET)
if(NOT SPHINX_FOUND)
  message(WARNING "Unable to find Sphinx documentation generator")
  set(GENERATE_DOC FALSE)
endif(NOT SPHINX_FOUND)

if(GENERATE_DOC)
  # documentation tools
  set(SOURCE_BUILD_DIR "${CMAKE_CURRENT_SOURCE_DIR}/_build")
  # configured documentation tools and intermediate build results
  set(BINARY_BUILD_DIR "${CMAKE_CURRENT_BINARY_DIR}/_build")
  # static ReST documentation sources
  set(SOURCES_DIR "${CMAKE_CURRENT_BINARY_DIR}/_sources")
  # generated ReST documentation sources
  set(REF_SOURCES_DIR "${SOURCES_DIR}/reference")
  # master document with modules index
  set(REF_MASTER_DOC "modules")

  # substitute variables in configuration and scripts
  foreach(file
      conf.py
      sources.cmake
  )
    configure_file(
      "${SOURCE_BUILD_DIR}/${file}.in"
      "${BINARY_BUILD_DIR}/${file}"
      @ONLY
    )
  endforeach(file)

  set(CLEAN_FILES
    "${BINARY_BUILD_DIR}/html"
  )

  add_custom_target(ALL
    DEPENDS "${REF_SOURCES_DIR}/${REF_MASTER_DOC}.rst"
  )

  # Sphinx requires all sources in the same directory tree. As we wish
  # to include generated reference documention from the build tree, we
  # copy static ReST documents to the build tree before calling Sphinx.
  add_custom_target(doc_sources ALL
    "${CMAKE_COMMAND}" -P "${BINARY_BUILD_DIR}/sources.cmake"
  )
  list(APPEND CLEAN_FILES
    "${SOURCES_DIR}"
  )

  # note the trailing slash to exclude directory name
  install(DIRECTORY "${SOURCES_DIR}/"
    DESTINATION "share/doc/mydumper"
  )

  # Sphinx cache with pickled ReST documents
  set(SPHINX_CACHE_DIR "${CMAKE_CURRENT_BINARY_DIR}/_doctrees")
  # HTML output directory
  set(SPHINX_HTML_DIR "${CMAKE_CURRENT_BINARY_DIR}/html")

  # This target builds HTML documentation using Sphinx.
  add_custom_target(doc_html ALL
    ${SPHINX_EXECUTABLE}
      -q -b html
      -c "${BINARY_BUILD_DIR}"
      -d "${SPHINX_CACHE_DIR}"
      "${SOURCES_DIR}"
      "${SPHINX_HTML_DIR}"
    COMMENT "Building HTML documentation with Sphinx"
  )
  list(APPEND CLEAN_FILES
    "${SPHINX_CACHE_DIR}"
    "${SPHINX_HTML_DIR}"
  )
  add_dependencies(doc_html
    doc_sources
  )
  install(DIRECTORY "${SPHINX_HTML_DIR}"
    DESTINATION "share/doc/mydumper"
  )

  # HTML output directory
  set(SPHINX_MAN_DIR "${CMAKE_CURRENT_BINARY_DIR}/man")
  # This target builds a manual page using Sphinx.

  add_custom_target(doc_man ALL
    ${SPHINX_EXECUTABLE}
      -q -b man
      -c "${BINARY_BUILD_DIR}"
      -d "${SPHINX_CACHE_DIR}"
      "${SOURCES_DIR}"
      "${SPHINX_MAN_DIR}"
    COMMENT "Building manual page with Sphinx"
  )
  list(APPEND CLEAN_FILES
    "${SPHINX_MAN_DIR}"
  )
  add_dependencies(doc_man
    doc_sources
  )
  # serialize Sphinx targets to avoid cache conflicts in parallel builds
  add_dependencies(doc_man
    doc_html
  )
  install(FILES "${SPHINX_MAN_DIR}/mydumper.1" "${SPHINX_MAN_DIR}/myloader.1"
    DESTINATION "share/man/man1"
  )

  # This target builds PDF documentation using Sphinx and LaTeX.
  if(PDFLATEX_COMPILER)
    # PDF output directory
    set(SPHINX_PDF_DIR "${CMAKE_CURRENT_BINARY_DIR}/pdf")

    add_custom_target(doc_pdf ALL
      ${SPHINX_EXECUTABLE}
	-q -b latex
	-c "${BINARY_BUILD_DIR}"
	-d "${SPHINX_CACHE_DIR}"
	"${SOURCES_DIR}"
	"${SPHINX_PDF_DIR}"
      COMMENT "Building PDF documentation with Sphinx"
    )
    add_custom_command(TARGET doc_pdf POST_BUILD
      COMMAND ${CMAKE_MAKE_PROGRAM} LATEXOPTS=-interaction=batchmode
      WORKING_DIRECTORY "${SPHINX_PDF_DIR}"
    )
    list(APPEND CLEAN_FILES
      "${SPHINX_PDF_DIR}"
    )
    add_dependencies(doc_pdf
      doc_sources
    )
    # serialize Sphinx targets to avoid cache conflicts in parallel builds
    add_dependencies(doc_pdf
      doc_man
    )
    install(FILES "${SPHINX_PDF_DIR}/mydumper.pdf"
      DESTINATION "share/doc/mydumper"
    )
  endif(PDFLATEX_COMPILER)

  # Add output directories to clean target.
  set_directory_properties(PROPERTIES
    ADDITIONAL_MAKE_CLEAN_FILES "${CLEAN_FILES}"
  )

else(GENERATE_DOC)
  message(WARNING "Missing python-sphinx documentation tools, docs will not be built")
endif(GENERATE_DOC)

=== debian/changelog ===
mydumper (0.5.1-3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes: 
    - Add 0007-deprecated-glib.patch updating deprecated GLib functions
      that now cause compiler errors. Fixes FTBFS.

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 05 Oct 2012 11:13:48 +0200

mydumper (0.5.1-3) unstable; urgency=low

  * fix FTBFS in multiarch env (Closes: #673262) (LP: #1002291) 
    patch 0006-fix-runaway-regexp-in-in-cmake.patch

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Mon, 04 Jun 2012 17:35:01 +0200

mydumper (0.5.1-2) unstable; urgency=low

  * fixed watch file
  * updated standards version
  * patch 0005-zlib-file-type-change-fixes.patch added
    fix FTBFS from zlib > 1.2.4 (Closes: #662582) (LP: #948122)

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Fri, 23 Mar 2012 17:27:57 +0100

mydumper (0.5.1-1ubuntu1) precise; urgency=low

  * Add 0005-multiarch.patch to handle syntax from
    `mysql_config --libs_r'. Fixes FTBFS.
  * Add 0006-deprecated-glib.patch updating deprecated GLib functions
    that now cause compiler errors. Fixes FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 15 Jan 2012 15:44:16 -0500

mydumper (0.5.1-1) unstable; urgency=low

  * Initial release (Closes: #648711)
  * This is my first Debian package, be gentle
  * Patched CMakeLists.txt so that generated config.h file is put in the
    sources dir, where it is expected during the build
  * Patched documenation CMakeLists.txt so that it won't install 
    documentation source files
  * Patch added to fix missing description in the manpages
  * Fixed typo in myloader

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Thu, 15 Nov 2011 11:26:38 +0100

=== debian/control ===
Source: mydumper
Section: database
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
Build-Depends: debhelper (>= 8.0.0), cmake, quilt, libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev, python-sphinx (>= 1.0.7+dfsg), python-docutils
Standards-Version: 3.9.3
Homepage: http://www.mydumper.org/
#Vcs-Git: git://git.debian.org/collab-maint/mydumper.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/mydumper.git;a=summary

Package: mydumper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
Description: High-performance MySQL backup tool
 Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded
 backup (and restore) toolset for MySQL and Drizzle.  The main developers
 originally worked as Support Engineers at MySQL (one has moved to
 Facebook and another to SkySQL) and this is how they would envisage
 mysqldump based on years of user feedback.
 .
 Mydumper features
 .
  Lightweight C source
  Up to 10x faster dumps compared to mysqldump
  Consistent snapshots for transactional and non-transactional tables
  File compression on-the-fly
  Binary log dumps
  Multi-threaded restore utility
  Daemon mode for timed snapshots and continuous binary logs
 .
 Mydumper is still under active development but is well tested/used in
 production on some large installations.

=== debian/watch ===
version=3
https://launchpad.net/mydumper/+download https://launchpad.net/mydumper/.+/.+/\+download/mydumper-([0-9.]+)\.tar\.gz

## mydumper 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.6)
 project(mydumper)
-set(VERSION 0.5.1)
+set(VERSION 0.5.2)
 set(ARCHIVE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
 
 #Required packages
@@ -16,7 +16,7 @@
   add_subdirectory(docs)
 endif (BUILD_DOCS)
 
-set(CMAKE_C_FLAGS "-Wall -Wunused -Wwrite-strings -Wno-strict-aliasing -Wextra -Wshadow -Werror -O3 -g ${MYSQL_CFLAGS}")
+set(CMAKE_C_FLAGS "-Wall -Wno-deprecated-declarations -Wunused -Wwrite-strings -Wno-strict-aliasing -Wextra -Wshadow -Werror -O3 -g ${MYSQL_CFLAGS}")
 
 include_directories(${MYDUMPER_SOURCE_DIR} ${MYSQL_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR} ${PCRE_INCLUDE_DIR} ${ZLIB_INCLUDE_DIRS})
 
@@ -25,13 +25,13 @@
 endif (NOT CMAKE_INSTALL_PREFIX)
 MARK_AS_ADVANCED(CMAKE)
 
-CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
 
 add_executable(mydumper mydumper.c binlog.c server_detect.c g_unix_signal.c)
-target_link_libraries(mydumper ${MYSQL_LIBRARIES} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES})
+target_link_libraries(mydumper ${MYSQL_LIBRARIES_mysqlclient_r} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES})
 
 add_executable(myloader myloader.c)
-target_link_libraries(myloader ${MYSQL_LIBRARIES} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES})
+target_link_libraries(myloader ${MYSQL_LIBRARIES_mysqlclient_r} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES})
 
 INSTALL(TARGETS mydumper myloader
   RUNTIME DESTINATION bin

=== debian/changelog ===
mydumper (0.5.2-1) unstable; urgency=low

  * Imported Upstream version 0.5.2 (Closes: #707458)
  * removed patches merged by upstream

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Thu, 09 May 2013 12:08:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mydumper
 Section: database
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
+Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), cmake, quilt, libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev, python-sphinx (>= 1.0.7+dfsg), python-docutils
 Standards-Version: 3.9.3
 Homepage: http://www.mydumper.org/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with sphinxdoc

## mydumper 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.6)
 project(mydumper)
-set(VERSION 0.5.2)
+set(VERSION 0.6.1)
 set(ARCHIVE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
 
 #Required packages

=== debian/changelog ===
mydumper (0.6.1-1) unstable; urgency=medium

  * updated standards version
  * move sphinxdoc depends to recommends (Closes: #730443)
  * homepage updated (Closes: #714921)
  * explicitly tell CMAKE to link libm
    patch 0003-explicitly-link-libm.patch
  * Imported Upstream version 0.6.1 (Closes: #735851) (LP: #1270330)

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Thu, 20 Mar 2014 01:17:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: extra
 Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
 Build-Depends: debhelper (>= 8.0.0), cmake, quilt, libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev, python-sphinx (>= 1.0.7+dfsg), python-docutils
-Standards-Version: 3.9.3
-Homepage: http://www.mydumper.org/
+Standards-Version: 3.9.5
+Homepage: https://launchpad.net/mydumper
 #Vcs-Git: git://git.debian.org/collab-maint/mydumper.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/mydumper.git;a=summary
 
 Package: mydumper
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: ${sphinxdoc:Depends}
 Description: High-performance MySQL backup tool
  Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded
  backup (and restore) toolset for MySQL and Drizzle.  The main developers

## mydumper 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.6)
 project(mydumper)
-set(VERSION 0.6.1)
+set(VERSION 0.9.1)
 set(ARCHIVE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
 
 #Required packages
@@ -16,6 +16,8 @@
   add_subdirectory(docs)
 endif (BUILD_DOCS)
 
+option(WITH_BINLOG "Build binlog dump options" OFF)
+
 set(CMAKE_C_FLAGS "-Wall -Wno-deprecated-declarations -Wunused -Wwrite-strings -Wno-strict-aliasing -Wextra -Wshadow -Werror -O3 -g ${MYSQL_CFLAGS}")
 
 include_directories(${MYDUMPER_SOURCE_DIR} ${MYSQL_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR} ${PCRE_INCLUDE_DIR} ${ZLIB_INCLUDE_DIRS})
@@ -27,11 +29,17 @@
 
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
 
-add_executable(mydumper mydumper.c binlog.c server_detect.c g_unix_signal.c)
-target_link_libraries(mydumper ${MYSQL_LIBRARIES_mysqlclient_r} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES})
+
+if (WITH_BINLOG)
+  add_executable(mydumper mydumper.c binlog.c server_detect.c g_unix_signal.c)
+else (WITH_BINLOG)
+  add_executable(mydumper mydumper.c server_detect.c g_unix_signal.c)
+endif (WITH_BINLOG)
+target_link_libraries(mydumper ${MYSQL_LIBRARIES} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES})
+
 
 add_executable(myloader myloader.c)
-target_link_libraries(myloader ${MYSQL_LIBRARIES_mysqlclient_r} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES})
+target_link_libraries(myloader ${MYSQL_LIBRARIES} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES})
 
 INSTALL(TARGETS mydumper myloader
   RUNTIME DESTINATION bin
@@ -55,6 +63,7 @@
 MESSAGE(STATUS "MYSQL_CONFIG = ${MYSQL_CONFIG}")
 MESSAGE(STATUS "CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}")
 MESSAGE(STATUS "BUILD_DOCS = ${BUILD_DOCS}")
+MESSAGE(STATUS "WITH_BINLOG = ${WITH_BINLOG}")
 MESSAGE(STATUS "RUN_CPPCHECK = ${RUN_CPPCHECK}")
 MESSAGE(STATUS "Change a values with: cmake -D<Variable>=<Value>")
 MESSAGE(STATUS "------------------------------------------------")

=== debian/changelog ===
mydumper (0.9.1-2) unstable; urgency=medium

  * Depend on default-libmysqlclient-dev (Closes: #845877, #841607)
  * bump standards version to 3.9.8
  * Separate doc package to comply with standards 3.9.7
  * dh compat level bumped to 9
  * changed homepage and debian/watch to github

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Mon, 02 Jan 2017 15:40:34 +0100

mydumper (0.9.1-1) unstable; urgency=medium

  * Imported Upstream version 0.9.1

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Tue, 10 Nov 2015 17:59:57 +0100

mydumper (0.6.2-1) unstable; urgency=medium

  * Imported Upstream version 0.6.2 (Closes: #790640)
  * fix manpage inconsistencies (Closes: #773990) (LP: #1402381)
  * bump standards version to 3.9.6 (no changes needed)
  * allow uscan to verify upstream tarball

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Wed, 01 Jul 2015 13:54:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: database
 Priority: extra
 Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), cmake, quilt, libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev, python-sphinx (>= 1.0.7+dfsg), python-docutils
-Standards-Version: 3.9.5
-Homepage: https://launchpad.net/mydumper
+Build-Depends: debhelper (>= 9.0.0), cmake, quilt, default-libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev
+Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg), python-docutils
+Standards-Version: 3.9.8
+Homepage: https://github.com/maxbube/mydumper
 #Vcs-Git: git://git.debian.org/collab-maint/mydumper.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/mydumper.git;a=summary
 
 Package: mydumper
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: ${sphinxdoc:Depends}
+Suggests: mydumper-doc
 Description: High-performance MySQL backup tool
  Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded
  backup (and restore) toolset for MySQL and Drizzle.  The main developers
@@ -31,3 +32,16 @@
  .
  Mydumper is still under active development but is well tested/used in
  production on some large installations.
+
+Package: mydumper-doc
+Architecture: all
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Section: doc
+Description: High-performance MySQL backup tool - documentation
+ Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded
+ backup (and restore) toolset for MySQL and Drizzle.  The main developers
+ originally worked as Support Engineers at MySQL (one has moved to
+ Facebook and another to SkySQL) and this is how they would envisage
+ mysqldump based on years of user feedback.
+ .
+ This package contains documentation for mydumper generated by sphinx

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 export DH_VERBOSE=1
 
 %:
-	dh $@ --with sphinxdoc 
+	dh $@ --with sphinxdoc

## mydumper 0.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.6)
 project(mydumper)
-set(VERSION 0.9.1)
+set(VERSION 0.9.5)
 set(ARCHIVE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
 
 #Required packages
@@ -17,6 +17,7 @@
 endif (BUILD_DOCS)
 
 option(WITH_BINLOG "Build binlog dump options" OFF)
+option(WITH_SSL "Build SSL support" ON)
 
 set(CMAKE_C_FLAGS "-Wall -Wno-deprecated-declarations -Wunused -Wwrite-strings -Wno-strict-aliasing -Wextra -Wshadow -Werror -O3 -g ${MYSQL_CFLAGS}")
 
@@ -31,15 +32,16 @@
 
 
 if (WITH_BINLOG)
-  add_executable(mydumper mydumper.c binlog.c server_detect.c g_unix_signal.c)
+
+  add_executable(mydumper mydumper.c binlog.c server_detect.c g_unix_signal.c connection.c getPassword.c)
 else (WITH_BINLOG)
-  add_executable(mydumper mydumper.c server_detect.c g_unix_signal.c)
+  add_executable(mydumper mydumper.c server_detect.c g_unix_signal.c connection.c getPassword.c)
 endif (WITH_BINLOG)
-target_link_libraries(mydumper ${MYSQL_LIBRARIES} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES})
+target_link_libraries(mydumper ${MYSQL_LIBRARIES} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES} stdc++)
 
 
-add_executable(myloader myloader.c)
-target_link_libraries(myloader ${MYSQL_LIBRARIES} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES})
+add_executable(myloader myloader.c connection.c getPassword.c)
+target_link_libraries(myloader ${MYSQL_LIBRARIES} ${GLIB2_LIBRARIES} ${GTHREAD2_LIBRARIES} ${PCRE_PCRE_LIBRARY} ${ZLIB_LIBRARIES} stdc++)
 
 INSTALL(TARGETS mydumper myloader
   RUNTIME DESTINATION bin

=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,11 @@
   message(WARNING "Unable to find Sphinx documentation generator")
   set(GENERATE_DOC FALSE)
 endif(NOT SPHINX_FOUND)
+
+if(SPHINX_MAJOR_VERSION LESS 1)
+  message(WARNING "Sphinx is older than v1.0, not building docs")
+  set(GENERATE_DOC FALSE)
+endif(SPHINX_MAJOR_VERSION LESS 1)
 
 if(GENERATE_DOC)
   # documentation tools
@@ -148,6 +153,4 @@
     ADDITIONAL_MAKE_CLEAN_FILES "${CLEAN_FILES}"
   )
 
-else(GENERATE_DOC)
-  message(WARNING "Missing python-sphinx documentation tools, docs will not be built")
 endif(GENERATE_DOC)

=== debian/changelog ===
mydumper (0.9.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build doc with python3-sphinx; Closes: #943190

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Mar 2020 16:15:00 -0400

mydumper (0.9.5-1) unstable; urgency=medium

  * New upstream release (Closes: #897913)
  * Drop patches merged upstream:
    - 0003-explicitly-link-libm.patch
    - 0004-add-library-suffix-for-libatomic.patch
  * Include post-release ssl cmake flag fix

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 19 Dec 2018 10:17:53 +0100

mydumper (0.9.1-5) unstable; urgency=medium

  * add patch to FindMySQL cmake module to find libatomic when it's needed

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Wed, 18 Jan 2017 01:09:19 +0100

mydumper (0.9.1-4) unstable; urgency=medium

  * manpages are generated by Sphinx, so moving back python-sphinx
    to B-D (Closes: #851433)
  * Add a Breaks+Replaces relation to mydumper-doc since it replaces
    doc-base files from main package (Closes: #851221)

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Sun, 15 Jan 2017 16:57:52 +0100

mydumper (0.9.1-3) unstable; urgency=medium

  * use sphinxdoc dh helper only in appropriate targets (Closes: #850847,
    #850969)

 -- Mateusz Kijowski <mateusz.kijowski@gmail.com>  Wed, 11 Jan 2017 11:44:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: database
 Priority: extra
 Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), cmake, quilt, default-libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev
-Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg), python-docutils
+Build-Depends: debhelper (>= 9.0.0), cmake, quilt, default-libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev, python3-sphinx, python3-docutils, libatomic1
 Standards-Version: 3.9.8
 Homepage: https://github.com/maxbube/mydumper
 #Vcs-Git: git://git.debian.org/collab-maint/mydumper.git
@@ -36,6 +35,8 @@
 Package: mydumper-doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Breaks: mydumper (<< 0.9.1-2)
+Replaces: mydumper (<< 0.9.1-2)
 Section: doc
 Description: High-performance MySQL backup tool - documentation
  Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 export DH_VERBOSE=1
 
 %:
-	dh $@ --with sphinxdoc
+	dh $@ --with=sphinxdoc

## mydumper 0.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.6)
 project(mydumper)
-set(VERSION 0.9.5)
+set(VERSION 0.10.0)
 set(ARCHIVE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
 
 #Required packages

=== debian/changelog ===
mydumper (0.10.1-2ubuntu1) questing; urgency=medium

  * Sync with Debian (LP: #2103906). Remaining change:
    - Disable 0003-ssl-mariadb-connector.patch to fix build in Ubuntu
      where MySQL is used by default instead of MariaDB

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 22 Sep 2025 16:55:55 -0400

mydumper (0.10.1-2) unstable; urgency=medium

  [ Lee Garrett ]
  * Fix CVE-2025-30224 (Closes: #1102002):
    - The MySQL C client library (libmysqlclient) allows authenticated remote
      actors to read arbitrary files from client systems via a crafted server
      response to LOAD LOCAL INFILE query, leading to sensitive information
      disclosure when clients connect to untrusted MySQL servers without
      explicitly disabling the local infile capability. Mydumper had the local
      infile option enabled by default and does not have an option to disable
      it. This can lead to an unexpected arbitrary file read if the Mydumper
      tool connects to an untrusted server.
  * Add autopkgtest integration tests
  * Add debian/gbp.conf

  [ Otto Kekäläinen ]
  * Apply `wrap-and-sort -vast` to make tracking changes easier in git
  * Add myself as maintainer (Closes: #1109991)
  * Replace outdated PCRE3 with modern PCRE2 (Closes: #1000014)
  * Add patch to make current MyDumper version compile with pcre2
  * Remove patches that are missing from debian/patches/series
  * Enable Salsa CI using default template
  * Clean up changelog

 -- Otto Kekäläinen <otto@debian.org>  Mon, 08 Sep 2025 13:01:35 -0700

mydumper (0.10.1-1) unstable; urgency=medium

  * New upstream version 0.10.1
    - Drop debian/patches/0005-fix-cmake-define-ssl
  * Introduce debian/patches/0003-ssl-mariadb-connector.patch for
    libmariadb-dev SSL options compat.

 -- Filippo Giunchedi <filippo@debian.org>  Tue, 09 Feb 2021 21:49:25 +0100

mydumper (0.9.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Link mydumper against libm. (Closes: #956020)

 -- Adrian Bunk <bunk@debian.org>  Fri, 08 May 2020 20:14:50 +0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,31 @@
 Source: mydumper
 Section: database
 Priority: extra
-Maintainer: Mateusz Kijowski <mateusz.kijowski@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), cmake, quilt, default-libmysqlclient-dev, libglib2.0-dev, libpcre3-dev, zlib1g-dev, python3-sphinx, python3-docutils, libatomic1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Otto Kekäläinen <otto@debian.org>
+Build-Depends:
+ cmake,
+ debhelper (>= 9.0.0),
+ default-libmysqlclient-dev,
+ libatomic1,
+ libglib2.0-dev,
+ libpcre2-dev,
+ python3-docutils,
+ python3-sphinx,
+ quilt,
+ zlib1g-dev,
 Standards-Version: 3.9.8
 Homepage: https://github.com/maxbube/mydumper
-#Vcs-Git: git://git.debian.org/collab-maint/mydumper.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/mydumper.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/mydumper.git
+Vcs-Browser: https://salsa.debian.org/debian/mydumper
 
 Package: mydumper
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: mydumper-doc
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ mydumper-doc,
 Description: High-performance MySQL backup tool
  Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded
  backup (and restore) toolset for MySQL and Drizzle.  The main developers
@@ -34,9 +48,13 @@
 
 Package: mydumper-doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Breaks: mydumper (<< 0.9.1-2)
-Replaces: mydumper (<< 0.9.1-2)
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Breaks:
+ mydumper (<< 0.9.1-2),
+Replaces:
+ mydumper (<< 0.9.1-2),
 Section: doc
 Description: High-performance MySQL backup tool - documentation
  Mydumper (aka. MySQL Data Dumper) is a high-performance multi-threaded

=== debian/tests/control ===
Tests:
 integration-test.sh,
Depends:
 default-mysql-server,
 @,
Restrictions:
 isolation-machine,
 needs-root,
